using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Shared;
using System.IO;
using Infragistics.Win.AppStyling;
using Infragistics.Win.UltraWinEditors;
using System.Collections;
using System.Threading;
using Infragistics.Documents.Excel;
using Infragistics.Win.UltraWinDataSource;
using Infragistics.Win.Printing;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
        }        

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            dt1 = DummyDataCreator.GetData(100, new Type[] { typeof(double), typeof(double) });

            dt1.TableName = "Band 0";

            this.ultraGrid1.SetDataBinding(dt1, null);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;                       
            
            band.Columns["Double 1"].Format = "#,##0.00";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string filename = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.xlsx");
            this.ultraGridExcelExporter1.Export(this.ultraGrid1, filename);
            Process.Start(filename);

        }

        private void ultraGridExcelExporter1_InitializeColumn(object sender, Infragistics.Win.UltraWinGrid.ExcelExport.InitializeColumnEventArgs e)
        {
            e.ExcelFormatStr = e.FrameworkFormatStr;
        }
    }
}